# PulpcoreClient::DomainResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**name** | **String** | A name for this domain. | 
**description** | **String** | An optional description. | [optional] 
**storage_class** | [**StorageClassEnum**](StorageClassEnum.md) | Backend storage class for domain.  * &#x60;pulpcore.app.models.storage.FileSystem&#x60; - Use local filesystem as storage * &#x60;storages.backends.s3boto3.S3Boto3Storage&#x60; - Use Amazon S3 as storage * &#x60;storages.backends.azure_storage.AzureStorage&#x60; - Use Azure Blob as storage | 
**storage_settings** | [**Object**](.md) | Settings for storage class. | 
**redirect_to_object_storage** | **Boolean** | Boolean to have the content app redirect to object storage. | [optional] [default to true]
**hide_guarded_distributions** | **Boolean** | Boolean to hide distributions with a content guard in the content app. | [optional] [default to false]

## Code Sample

```ruby
require 'PulpcoreClient'

instance = PulpcoreClient::DomainResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 name: null,
                                 description: null,
                                 storage_class: null,
                                 storage_settings: null,
                                 redirect_to_object_storage: null,
                                 hide_guarded_distributions: null)
```


