# PulpcoreClient::UpstreamPulpResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**name** | **String** | A unique name for this Pulp server. | 
**base_url** | **String** | The transport, hostname, and an optional port of the Pulp server. e.g. https://example.com | 
**api_root** | **String** | The API root. Defaults to &#39;/pulp/&#39;. | 
**domain** | **String** | The domain of the Pulp server if enabled. | [optional] 
**ca_cert** | **String** | A PEM encoded CA certificate used to validate the server certificate presented by the remote server. | [optional] 
**client_cert** | **String** | A PEM encoded client certificate used for authentication. | [optional] 
**tls_validation** | **Boolean** | If True, TLS peer validation must be performed. | [optional] 
**pulp_last_updated** | **DateTime** | Timestamp of the most recent update of the remote. | [optional] [readonly] 
**hidden_fields** | [**Array&lt;RemoteResponseHiddenFields&gt;**](RemoteResponseHiddenFields.md) | List of hidden (write only) fields | [optional] [readonly] 
**pulp_label_select** | **String** | One or more comma separated labels that will be used to filter distributions on the upstream Pulp. E.g. \&quot;foo&#x3D;bar,key&#x3D;val\&quot; or \&quot;foo,key\&quot; | [optional] 

## Code Sample

```ruby
require 'PulpcoreClient'

instance = PulpcoreClient::UpstreamPulpResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 name: null,
                                 base_url: null,
                                 api_root: null,
                                 domain: null,
                                 ca_cert: null,
                                 client_cert: null,
                                 tls_validation: null,
                                 pulp_last_updated: null,
                                 hidden_fields: null,
                                 pulp_label_select: null)
```


