# PulpcoreClient::UpstreamPulpsApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**add_role**](UpstreamPulpsApi.md#add_role) | **POST** {upstream_pulp_href}add_role/ | Add a role
[**create**](UpstreamPulpsApi.md#create) | **POST** /pulp/api/v3/upstream-pulps/ | Create an upstream pulp
[**delete**](UpstreamPulpsApi.md#delete) | **DELETE** {upstream_pulp_href} | Delete an upstream pulp
[**list**](UpstreamPulpsApi.md#list) | **GET** /pulp/api/v3/upstream-pulps/ | List upstream pulps
[**list_roles**](UpstreamPulpsApi.md#list_roles) | **GET** {upstream_pulp_href}list_roles/ | List roles
[**my_permissions**](UpstreamPulpsApi.md#my_permissions) | **GET** {upstream_pulp_href}my_permissions/ | List user permissions
[**partial_update**](UpstreamPulpsApi.md#partial_update) | **PATCH** {upstream_pulp_href} | Update an upstream pulp
[**read**](UpstreamPulpsApi.md#read) | **GET** {upstream_pulp_href} | Inspect an upstream pulp
[**remove_role**](UpstreamPulpsApi.md#remove_role) | **POST** {upstream_pulp_href}remove_role/ | Remove a role
[**replicate**](UpstreamPulpsApi.md#replicate) | **POST** {upstream_pulp_href}replicate/ | Replicate
[**update**](UpstreamPulpsApi.md#update) | **PUT** {upstream_pulp_href} | Update an upstream pulp



## add_role

> NestedRoleResponse add_role(upstream_pulp_href, nested_role)

Add a role

Add a role for this object to users/groups.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::UpstreamPulpsApi.new
upstream_pulp_href = 'upstream_pulp_href_example' # String | 
nested_role = PulpcoreClient::NestedRole.new # NestedRole | 

begin
  #Add a role
  result = api_instance.add_role(upstream_pulp_href, nested_role)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling UpstreamPulpsApi->add_role: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **upstream_pulp_href** | **String**|  | 
 **nested_role** | [**NestedRole**](NestedRole.md)|  | 

### Return type

[**NestedRoleResponse**](NestedRoleResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## create

> UpstreamPulpResponse create(upstream_pulp)

Create an upstream pulp

API for configuring an upstream Pulp to replicate. This API is provided as a tech preview.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::UpstreamPulpsApi.new
upstream_pulp = PulpcoreClient::UpstreamPulp.new # UpstreamPulp | 

begin
  #Create an upstream pulp
  result = api_instance.create(upstream_pulp)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling UpstreamPulpsApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **upstream_pulp** | [**UpstreamPulp**](UpstreamPulp.md)|  | 

### Return type

[**UpstreamPulpResponse**](UpstreamPulpResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## delete

> delete(upstream_pulp_href)

Delete an upstream pulp

API for configuring an upstream Pulp to replicate. This API is provided as a tech preview.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::UpstreamPulpsApi.new
upstream_pulp_href = 'upstream_pulp_href_example' # String | 

begin
  #Delete an upstream pulp
  api_instance.delete(upstream_pulp_href)
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling UpstreamPulpsApi->delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **upstream_pulp_href** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## list

> PaginatedUpstreamPulpResponseList list(opts)

List upstream pulps

API for configuring an upstream Pulp to replicate. This API is provided as a tech preview.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::UpstreamPulpsApi.new
opts = {
  limit: 56, # Integer | Number of results to return per page.
  offset: 56, # Integer | The initial index from which to return the results.
  fields: ['fields_example'], # Array<String> | A list of fields to include in the response.
  exclude_fields: ['exclude_fields_example'] # Array<String> | A list of fields to exclude from the response.
}

begin
  #List upstream pulps
  result = api_instance.list(opts)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling UpstreamPulpsApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to include in the response. | [optional] 
 **exclude_fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to exclude from the response. | [optional] 

### Return type

[**PaginatedUpstreamPulpResponseList**](PaginatedUpstreamPulpResponseList.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## list_roles

> ObjectRolesResponse list_roles(upstream_pulp_href, opts)

List roles

List roles assigned to this object.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::UpstreamPulpsApi.new
upstream_pulp_href = 'upstream_pulp_href_example' # String | 
opts = {
  fields: ['fields_example'], # Array<String> | A list of fields to include in the response.
  exclude_fields: ['exclude_fields_example'] # Array<String> | A list of fields to exclude from the response.
}

begin
  #List roles
  result = api_instance.list_roles(upstream_pulp_href, opts)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling UpstreamPulpsApi->list_roles: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **upstream_pulp_href** | **String**|  | 
 **fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to include in the response. | [optional] 
 **exclude_fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to exclude from the response. | [optional] 

### Return type

[**ObjectRolesResponse**](ObjectRolesResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## my_permissions

> MyPermissionsResponse my_permissions(upstream_pulp_href, opts)

List user permissions

List permissions available to the current user on this object.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::UpstreamPulpsApi.new
upstream_pulp_href = 'upstream_pulp_href_example' # String | 
opts = {
  fields: ['fields_example'], # Array<String> | A list of fields to include in the response.
  exclude_fields: ['exclude_fields_example'] # Array<String> | A list of fields to exclude from the response.
}

begin
  #List user permissions
  result = api_instance.my_permissions(upstream_pulp_href, opts)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling UpstreamPulpsApi->my_permissions: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **upstream_pulp_href** | **String**|  | 
 **fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to include in the response. | [optional] 
 **exclude_fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to exclude from the response. | [optional] 

### Return type

[**MyPermissionsResponse**](MyPermissionsResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## partial_update

> UpstreamPulpResponse partial_update(upstream_pulp_href, patched_upstream_pulp)

Update an upstream pulp

API for configuring an upstream Pulp to replicate. This API is provided as a tech preview.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::UpstreamPulpsApi.new
upstream_pulp_href = 'upstream_pulp_href_example' # String | 
patched_upstream_pulp = PulpcoreClient::PatchedUpstreamPulp.new # PatchedUpstreamPulp | 

begin
  #Update an upstream pulp
  result = api_instance.partial_update(upstream_pulp_href, patched_upstream_pulp)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling UpstreamPulpsApi->partial_update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **upstream_pulp_href** | **String**|  | 
 **patched_upstream_pulp** | [**PatchedUpstreamPulp**](PatchedUpstreamPulp.md)|  | 

### Return type

[**UpstreamPulpResponse**](UpstreamPulpResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## read

> UpstreamPulpResponse read(upstream_pulp_href, opts)

Inspect an upstream pulp

API for configuring an upstream Pulp to replicate. This API is provided as a tech preview.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::UpstreamPulpsApi.new
upstream_pulp_href = 'upstream_pulp_href_example' # String | 
opts = {
  fields: ['fields_example'], # Array<String> | A list of fields to include in the response.
  exclude_fields: ['exclude_fields_example'] # Array<String> | A list of fields to exclude from the response.
}

begin
  #Inspect an upstream pulp
  result = api_instance.read(upstream_pulp_href, opts)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling UpstreamPulpsApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **upstream_pulp_href** | **String**|  | 
 **fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to include in the response. | [optional] 
 **exclude_fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to exclude from the response. | [optional] 

### Return type

[**UpstreamPulpResponse**](UpstreamPulpResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## remove_role

> NestedRoleResponse remove_role(upstream_pulp_href, nested_role)

Remove a role

Remove a role for this object from users/groups.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::UpstreamPulpsApi.new
upstream_pulp_href = 'upstream_pulp_href_example' # String | 
nested_role = PulpcoreClient::NestedRole.new # NestedRole | 

begin
  #Remove a role
  result = api_instance.remove_role(upstream_pulp_href, nested_role)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling UpstreamPulpsApi->remove_role: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **upstream_pulp_href** | **String**|  | 
 **nested_role** | [**NestedRole**](NestedRole.md)|  | 

### Return type

[**NestedRoleResponse**](NestedRoleResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## replicate

> TaskGroupOperationResponse replicate(upstream_pulp_href)

Replicate

Trigger an asynchronous repository replication task group. This API is provided as a tech preview.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::UpstreamPulpsApi.new
upstream_pulp_href = 'upstream_pulp_href_example' # String | 

begin
  #Replicate
  result = api_instance.replicate(upstream_pulp_href)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling UpstreamPulpsApi->replicate: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **upstream_pulp_href** | **String**|  | 

### Return type

[**TaskGroupOperationResponse**](TaskGroupOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## update

> UpstreamPulpResponse update(upstream_pulp_href, upstream_pulp)

Update an upstream pulp

API for configuring an upstream Pulp to replicate. This API is provided as a tech preview.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::UpstreamPulpsApi.new
upstream_pulp_href = 'upstream_pulp_href_example' # String | 
upstream_pulp = PulpcoreClient::UpstreamPulp.new # UpstreamPulp | 

begin
  #Update an upstream pulp
  result = api_instance.update(upstream_pulp_href, upstream_pulp)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling UpstreamPulpsApi->update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **upstream_pulp_href** | **String**|  | 
 **upstream_pulp** | [**UpstreamPulp**](UpstreamPulp.md)|  | 

### Return type

[**UpstreamPulpResponse**](UpstreamPulpResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json

